<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_d8e7d6018547d8c10e1de2e6" . "a8aa6858" => base64_decode("ZndyaX" . "Rl"), "_aed8da0f19091214b78f80351048517" . "c" => base64_decode("c3Ryb" . "GVu"));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;




class MailgunAttachmentString implements MailAttachment
{
    protected $name;
    protected $content;
    
    
    
    
    
    public function __construct(string $name, string $_24ca62b4d01cc6d515dfd0bea4c9d59a)
    {
        $this->name = $name;
        $this->content = $_24ca62b4d01cc6d515dfd0bea4c9d59a;
    }
    
    
    
    
    public function GetName() : string
    {
        return $this->name;
    }
    
    
    
    
    
    
    public function GetSize() : int
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_aed8da0f19091214b78f" . "80351048517c"]($this->content);
    }
    
    
    
    
    
    
    
    
    public function SaveToStream($_1cc5aa2f679b575f82786a73f0da28f8) : int
    {
        return (int) $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_d8e7d6018547d8c10e1de2e6" . "a8aa6858"]($_1cc5aa2f679b575f82786a73f0da28f8, $this->content);
    }
}